Subject: RE: [E3-hacking] Another hello

From: <[email-masked]>
Date: Thu, 19 Jan 2006 17:25:28 GMT

The E3 and E2 have clamping diodes on the serial port's input 
and output pins. As such anything above 5V or below 0V is 
effectively shorted out. This is meant for ESD protection but 
I suppose the diodes will effectively clamp +/-12V RS232 to 0-
5V TTL. So long as the PC doesn't supply too much current and 
warm the diodes up too much!

John Chadd

Cliff Lawson wrote:
> I'd have thought the protection was vital. It's not so much 
whether the PC
> can detect the "weedy" 0V..5V swing coming out of an E2/E3 
but whether the
> UART input buffers on the OMAP/Sharp can stand getting -12V 
shoved up them
> coming from the PC (I'm assuming that PCs still transmits 
true RS232 even if
> they're a bit more lenient about what they can detect?)
> 
> (Or maybe my h/w designing colleague did splash for 
sufficient inbound
> protection on the board - I can't remember off hand)
>

---

From: [email-masked]
Date: Thu, 19 Jan 2006 17:54:40 +0000 (GMT)

On Thu, 19 Jan 2006, [email-masked] wrote:

> On the E3 (home hacking) I'm scared to shove more than 3.3V in as I 
> believe the OMAP is a 3.3V part on a 0.18ish micron process. I suspect 
> it would die if connected directly to an RS232 level signal if there 
> isn't some protection.

The OMAP5910 can run on core voltages around 2v (1.45 to 2.2v according to 
who we made them for) and has 3.3v IOs.  It is on a 120nm process, and 
the UART pins have internal pad driver logic containing a hevty anti-ESD 
diode designed to protect the chip up to 2kV.  It can't cope with much 
actual power, though, so it would probably die if you fed it 9v at a 
source impedance of less than 10kohms or so.

-J.,
former OMAP architect